abstract class TabBarState {
  const TabBarState();
}

class TabBarInitialState extends TabBarState {
  const TabBarInitialState();
}

class TabBarTabSelectedState extends TabBarState {
  const TabBarTabSelectedState({
    required this.roomId,
    required this.selectedTabIndex,
  });

  final int selectedTabIndex;
  final String roomId;
}
